# Return virus scan types

This function gets the available local paths that a cPanel account is permitted to scan.

Note:

The system determines the available scan types based on what the system administrator has set in WHM's Configure ClamAV® page.

Note:

You must run the APIs in this order:

1. Run ClamScanner::start_scan to start the virus scan.
2. Run ClamScanner::get_scan_status in a loop until the scan is finished.
3. Run ClamScanner::list_infected_files to get a report of the complete list of infected files.
4. Decide how you want to handle each infected file.
5. Run ClamScanner::disinfect_files to queue the disinfection of the files.
6. Run ClamScanner::check_disinfection_status in a loop until you get a done status.

Endpoint: GET /ClamScanner/get_scan_paths
Version: 11.136.0.25
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_scan_paths"

  - `module` (string)
    The name of the module called.
    Example: "ClamScanner"

  - `result` (object)

  - `result.data` (object)

  - `result.data.id` (string)
    The type of path
* home — The cPanel account's entire home directory.
* mail — The cPanel account's email directory.
* public_html — The cPanel account's web directory.
* public_ftp — The cPanel account's FTP directory.
    Enum: "home", "mail", "public_html", "public_ftp"

  - `result.data.message` (string)
    Short description of the path
    Example: "Scan Entire Home Directory"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


